import 'package:bokain_models/src/model_base.dart';

class Booking extends ModelBase
{
  @override
  Booking(this.startTime,
          this.endTime,
          this.customerId,
          this.serviceId,
          this.serviceAddonIds,
          this.userId,
          this.roomId) : super()
  {
    duration = endTime.difference(startTime);
  }

  @override
  Booking.from(Booking other) : super.from(other);

  @override
  Booking.parse(Map<String, dynamic> data) : super.parse(data);

  @override
  Map<String, dynamic> get properties
  {
    Map<String, dynamic> data = new Map();
    data["starTime"] = startTime;
    data["endTime"] = endTime;
    data["customerId"] = customerId;
    data["serviceId"] = serviceId;
    data["serviceAddonIds"] = serviceAddonIds;
    data["userId"] = userId;
    data["roomId"] = roomId;
    return data;
  }

  @override
  void parseData(Map<String, dynamic> data)
  {
    startTime = DateTime.parse(data["startTime"]);
    endTime = DateTime.parse(data["endTime"]);
    customerId = data["customerId"];
    serviceId = data["serviceId"];
    serviceAddonIds = data["serviceAddonIds"];
    userId = data["userId"];
    roomId = data["roomId"];
  }

  Duration duration;
  DateTime startTime;
  DateTime endTime;
  String customerId;
  String serviceId;
  List<String> serviceAddonIds;
  String userId;
  String roomId;
}