part of editable_model;

class Customer extends EditableModel
{
  @override
  Customer() : super()
  {
    Random rnd = new Random.secure();
    List<int> codeUnits = new List();
    for (int i = 0; i < 6; i++)
    {
      codeUnits.add(rnd.nextInt(30)+97);
    }
    password = new String.fromCharCodes(codeUnits);
  }

  @override
  Customer.parse(Map<String, dynamic> data) : super.parse(data);

  @override
  Customer.from(Customer other) : super.from(other);

  @override
  Map<String, dynamic> get properties
  {
    Map<String, dynamic> data = super.properties;
    data["belongs_to"] = belongsTo;
    data["city"] = city;
    data["comments_external"] = commentsExternal;
    data["comments_internal"] = commentsInternal;
    data["consultation_id"] = consultationId;
    data["country"] = country;
    data["email"] = email;
    data["email_shop"] = emailShop;
    data["firstname"] = firstname;
    data["lastname"] = lastname;
    data["phone"] = phone;
    data["postal_code"] = postalCode;
    data["preferred_language"] = preferredLanguage;
    data["skin_type"] = skinType;
    data["social_number"] = socialNumber;
    data["street"] = street;
    data["password"] = password;
    return data;
  }

  @override
  void parseData(Map<String, dynamic> data)
  {
    super.parseData(data);
    belongsTo = data["belongs_to"];
    city = data["city"];
    commentsExternal = data["comments_external"];
    commentsInternal = data["comments_internal"];
    consultationId = data["consultation_id"];
    country = data["country"];
    email = data["email"];
    emailShop = data["email_shop"];
    firstname = data["firstname"];
    lastname = data["lastname"];
    phone = data["phone"];
    postalCode = data["postal_code"];
    preferredLanguage = data["preferred_language"];
    skinType = data["skin_type"];
    socialNumber = data["social_number"];
    street = data["street"];
    password = data["password"];
  }

  String belongsTo;
  String commentsExternal;
  String commentsInternal;
  String consultationId;
  String city;
  String country;
  String email;
  String emailShop;
  String firstname;
  String lastname;
  String phone;
  String postalCode;
  String preferredLanguage = "sv";
  String skinType;
  String socialNumber;
  String street;

  String password;
}