library editable_model;
import 'dart:math';
import 'package:bokain_models/src/model_base.dart';

part 'customer.dart';
part 'room.dart';
part 'salon.dart';
part 'service.dart';
part 'service_addon.dart';
part 'user.dart';

abstract class EditableModel extends ModelBase
{
  EditableModel() : super();
  EditableModel.parse(Map<String, dynamic> data) : super.parse(data);
  EditableModel.from(EditableModel other) : super.from(other);

  @override
  Map<String, dynamic> get properties
  {
    Map<String, dynamic> data = new Map();
    data["added_by"] = addedBy;
    data["created"] = created;
    data["status"] = status;
    return data;
  }

  @override
  void parseData(Map<String, dynamic> data)
  {
    addedBy = data["added_by"];
    created = data["created"];
    status = data["status"];
  }

  String addedBy;
  String created;
  String status = "active"; // active, frozen, disabled

}