part of editable_model;

class Service extends EditableModel
{
  @override
  Service() : super();

  @override
  Service.parse(Map<String, dynamic> data) : super.parse(data);

  @override
  Service.from(Service other) : super.from(other);

  @override
  Map<String, dynamic> get properties
  {
    Map<String, dynamic> data = super.properties;
    data["category"] = category;
    data["description"] = description;
    data["name"] = name;
    data["duration"] = durationMinutes;
    data["price"] = price;
    data["addons"] = new List<Map<String, dynamic>>();
    data["rooms"] = rooms;

    // TODO serviceAddon Id's instead?
    for (ServiceAddon addon in _addons)
    {
      data["addons"].add(addon.properties);
    }
    return data;
  }

  @override
  void parseData(Map<String, dynamic> data)
  {
    super.parseData(data);
    category = data["category"];
    description = data["description"];
    name = data["name"];
    durationMinutes = data["duration"];
    price = data["price"];
    rooms = data["rooms"];
    for (Map<String, dynamic> addon in data["addons"])
    {
      _addons.add(new ServiceAddon.parse(addon));
    }
  }

  List<ServiceAddon> get addons => _addons;
  List<ServiceAddon> _addons = new List();
  List<String> rooms;
  String category;
  String description;
  String name;
  int durationMinutes;
  double price;
}