import 'dart:convert';

abstract class ModelBase
{
  ModelBase();

  ModelBase.from(ModelBase other)
  {
    parseData(other.properties);
  }

  ModelBase.parse(Map<String, dynamic> data)
  {
    parseData(data);
  }

  bool isEqual(ModelBase other)
  {
    Map<String, dynamic> data = properties;
    Map<String, dynamic> otherData = other.properties;
    return data.keys.every((key) => otherData.keys.contains(key) && data[key] == otherData[key]);
  }

  String get toJSON => JSON.encode(properties);

  Map<String, dynamic> get properties;

  void parseData(Map<String, dynamic> data);
}